Overview

NetLeech 2.0

For Windows 9x, Me, NT, 2000 and XP
You can download files from Internet fast and easy with this download manager. Forget slow connections and broken downloads with NetLeech. This download manager can split downloaded files into sections and download them simultaneously which dramatically increases the speed. NetLeech also resumes broken downloads and continues downloading from the point the download has been broken at.

Download from FTP and HTTP: You can download files from both FTP and HTTP Internet/Intranet servers.

Reliable download: You can define unlimited numbers of attempts to make until the download is completed.

Proxy server support: NetLeech supports both FTP and HTTP proxy servers in variety of options like FTP through HTTP.

Speed increase: You have the ability to split files into sections and download each section simultaneously. As a result in many cases when the bottleneck is the server connection bandwidth you can multiply the download speed by the number of sections.

Categories: You can define unlimited number of categories for automated dispatching downloaded file by their types such as audio, video, etc.

Automatic Dial-Up: NetLeech has the automatic Dial-Up ability which lets you not to be around the computer all the time.

Browser Integration: You start a new download directly from Internet Explorer. NetLeech can automatically intercept any download starts and offers you to do it with it.

Copyright © 2001-2002 ArmenM Software. All rights reserved.


Getting started

  1. Click New Download [image] on the toolbar or on the Downloads menu to add the URL you want to download.

  2. If the download fails with a status host not found or can't connect check the Dial-Up and Proxy options.


General

Options: General

  • Connection type:

Select you connection type here, it will allow NetLeech to choose the best operating mode.

  • Auto save download list

The information about download progress is stored in the download list file. Auto saving allows to keep it always up to date even in a case of a system crash.

  • Default download folder:

By default all the downloads are dispatched by their categories in the appropriate folders. However if no categories are defined, this will be used as the target folder.

  • Timeouts

Here you define the time after which connection will be closed and another attempt will be made.

  • Log entries to remember

Enter the number of lines to store in the log list.

  • Automatically overwrite target files when they already exist

If you turn this option on, NetLeech will automatically overwrite all the existing files on your hard drive having same names with the downloaded ones.


Proxy

Options: Proxy

Specify your proxy server information here.


Dial-Up

Options: Dial-Up
Specify your Dial-Up information here.


Traffic modes

Options: Traffic modes
There are four traffic modes in NetLeech: fast, medium, slow and stopped. Each has a set of parameters assigned. Switching the traffic mode will cause NetLeech to change those parameters for the download. Stopped mode stops all the downloading activities.


Categories

Options: File categories
NetLeech detects downloaded file types and offers you to save them to the appropriate folders. You have a possibility to create unlimited number of categories plus to or instead of the default ones.


Filters

Options: Filters
Here you can define the filters shown as labels at the bottom of the download list.


View

Options: View
This defines some aspects of the user interface behavior such as the tray functionality and colors.


Download properties

Options: Download properties
Here you can specify the behavior of the download properties window.


Integration

Options: Integration
Here you can define whether NetLeech should intercept Internet Explorer downloads and integrate in the IE context menu.


Site manager

Options: Sites / Passwords
Site manager stores the login information for the sites. If you enter a protected site for the first time you are asked for the login information. That login information can be optionally stored here and reused later.


Sounds

Options: Sounds
Here you can define the sounds to be played when some events occur.


Main toolbar
New Download | Starts a New download
Options | Open the options dialog.
Dial-Up/Hang-Up | ...just nothing else to say.
Traffic mode | Change the traffic mode.
Find | Find a file in the Download list
Turn off | Automatically turn off when the downloads are finished


New Download

To start a new download click [image] New download on the toolbar or on the File menu. NetLeech suggests the matching category and login information (from site manager) for your file automatically. Click download to schedule the download for downloading.


Find
To find a file in the Download list click [image] on the Toolbar or on the Tools menu.


Download list
Download list shows the actual information about the downloads: filename, progress, time left and other.

Here you can control the downloads, pause, resume, delete, add new ones, view their properties and so on.


Download properties

Download properties are presented on three pages:

First page: General: displays the most important and useful information about the download.

Second page: Details: contains some detailed information about the download.

Third page: Sections: displays how many active sections are working and their progress info/graphics.


Log list
Log list shows the lower level protocol information.


Traffic bar

Traffic bar shows the network activity graphics, traffic mode and the current data transfer speed.


License and warranty
This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the mentioned author of this Software for the software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT").
By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT; you may, however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE
The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE.

This EULA grants you the following rights:

Installation and Use.
You may install and use an unlimited number of copies of the SOFTWARE PRODUCT.

Reproduction and Distribution.
You may reproduce and distribute an unlimited number of copies of the SOFTWARE PRODUCT; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a copy of this EULA. Copies of the SOFTWARE PRODUCT may be distributed as a standalone product or included with your own product.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
Limitations on Reverse Engineering, Decompilation, and Disassembly.
You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components.
 The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Software Transfer.
 You may permanently transfer all of your rights under this EULA, provided the recipient agrees to the terms of this EULA.

Termination.
 Without prejudice to any other rights, the Author of this Software may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

Distribution.
 The SOFTWARE PRODUCT may not be sold or be included in a product or package which intends to receive benefits through the inclusion of the SOFTWARE PRODUCT. The SOFTWARE PRODUCT may be included in any
free or non-profit packages or products.

3. COPYRIGHT.
All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by the Author of this Software. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material except that you may install the SOFTWARE PRODUCT on a single computer
provided you keep the original solely for backup or archival purposes.

MISCELLANEOUS
If you acquired this product in the United States of America, this EULA is governed by the laws of the United States of America.

If this product was acquired outside the United States of America, then local law may apply.

Should you have any questions concerning this EULA, or if you desire to contact the author of this Software for any reason, please write to the email address mentioned at the top of this EULA.

LIMITED WARRANTY
NO WARRANTIES.
The Author of this Software expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of the SOFTWARE PRODUCT remains with you.

NO LIABILITY FOR DAMAGES.
In no event shall the author of this Software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author of this Software has been advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

Copyright © 2001-2002 ArmenM Software. All rights reserved


Contact information
Visit our home page at:

http://www.armenm.com

If you have any questions, comments or suggestions about NetLeech or would like more information, mail to:

home@armenm.com